Submit signed documents
POST
apiKeyheader
Api-Key<token>Partner API key.
token*stringToken-gated path parameter issued in the partner-API kybUrl when the case enters the signing stage. Invalidated once the case advances out of the signing stage.
Length
1 <= lengthapplication/json- body
signingIds*array<string>IDs of the signings the merchant has just completed. Must be a non-empty subset of the IDs returned by GET /sign/:token/required-signings.
Items
1 <= itemsAll required documents signed. The case has advanced and the token is invalidated.
application/json- response
allSigned*booleantrue when every required signing has been completed and the case has advanced out of the signing stage (200). false when more signatures are still required (202).
curl -X POST 'https://api.merchant.pay.walletconnect.com/v1/sign/sig_tkn_8f4a3b6e2c1d4f5a9b8c7d6e5f4a3b2c/signings' \ -H 'Content-Type: application/json' \ -d '{ "signingIds": [ "sig_01HXYZK3J7QV2P4N8R9M5T6W7B" ]}'{ "allSigned": true}